#pragma once

typedef struct {
	const char         *name;
	double             opacity;
	unsigned int       visible;
	const unsigned int *data;
} Tmj2cLayer;

typedef struct {
	const char         *name;
	const char         *type;
	unsigned int       id;
	double             x;
	double             y;
	double             width;
	double             height;
	double             rotation;
	unsigned int       visible;
} Tmj2cObject;

typedef struct {
	const char         *path;
	unsigned int       width;
	unsigned int       height;
	unsigned int       tilewidth;
	unsigned int       tileheight;
	unsigned int       numlayers;
	const Tmj2cLayer   *layers;
	unsigned int       numobjects;
	const Tmj2cObject  *objects;
} Tmj2cMap;
